"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const rem = require("../../../core/utils/units-converters/rem.cjs");
require("react");
const createVarsResolver = require("../../../core/styles-api/create-vars-resolver/create-vars-resolver.cjs");
require("clsx");
const useProps = require("../../../core/MantineProvider/use-props/use-props.cjs");
const useStyles = require("../../../core/styles-api/use-styles/use-styles.cjs");
const Box = require("../../../core/Box/Box.cjs");
const factory = require("../../../core/factory/factory.cjs");
const ActionIcon_module_css = require("../ActionIcon.module.css.cjs");
const defaultProps = {
  orientation: "horizontal"
};
const varsResolver = createVarsResolver.createVarsResolver((_, { borderWidth }) => ({
  group: { "--ai-border-width": rem.rem(borderWidth) }
}));
const ActionIconGroup = factory.factory((_props, ref) => {
  const props = useProps.useProps("ActionIconGroup", defaultProps, _props);
  const {
    className,
    style,
    classNames,
    styles,
    unstyled,
    orientation,
    vars,
    borderWidth,
    variant,
    mod,
    ...others
  } = useProps.useProps("ActionIconGroup", defaultProps, _props);
  const getStyles = useStyles.useStyles({
    name: "ActionIconGroup",
    props,
    classes: ActionIcon_module_css.default,
    className,
    style,
    classNames,
    styles,
    unstyled,
    vars,
    varsResolver,
    rootSelector: "group"
  });
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ...getStyles("group"),
      ref,
      variant,
      mod: [{ "data-orientation": orientation }, mod],
      role: "group",
      ...others
    }
  );
});
ActionIconGroup.classes = ActionIcon_module_css.default;
ActionIconGroup.displayName = "@mantine/core/ActionIconGroup";
exports.ActionIconGroup = ActionIconGroup;
